Skip to main content
POST
/
discussion
/
v1
/
comments
Create a comment for a thread or for an entity reference
curl --request POST \
  --url https://api-{region}.sesametime.com/discussion/v1/comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "comment": "<string>",
  "entityReference": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "planned_task"
  },
  "commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Comment object that needs to be created

authorId
string<uuid>
required

The id of the employee who creates the comment

comment
string
required

The text of the comment

entityReference
object
required
commentId
string<uuid>

The id for the comment, if not provided, it will be generated automatically

Response

200 - application/json

Object

id
string<uuid>